> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Record My Consent



## OpenAPI

````yaml /openapi.json post /v1/me/consents
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/me/consents:
    post:
      tags:
        - Me
      summary: Record My Consent
      operationId: record_my_consent_v1_me_consents_post
      parameters:
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConsentRecordRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConsentRecordResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
components:
  schemas:
    ConsentRecordRequest:
      properties:
        granted:
          title: Granted
          type: boolean
        purpose:
          enum:
            - analytics
            - email_engagement
            - marketing
          title: Purpose
          type: string
      required:
        - purpose
        - granted
      title: ConsentRecordRequest
      type: object
    ConsentRecordResponse:
      properties:
        granted:
          title: Granted
          type: boolean
        occurred_at:
          format: date-time
          title: Occurred At
          type: string
        policy_version:
          title: Policy Version
          type: string
        purpose:
          enum:
            - analytics
            - email_engagement
            - marketing
          title: Purpose
          type: string
        region:
          title: Region
          type: string
      required:
        - purpose
        - granted
        - region
        - policy_version
        - occurred_at
      title: ConsentRecordResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: Supabase JWT
      scheme: bearer
      type: http

````